---
title: Remove products from a product line and from each of its collections.
slug: api-documentation/remove-products-from-a-product-line-and-from-each-of-its-collections
docTags: 
createdAt: 2026-08-27T17:01:17.334Z
---

{
  "id": "QkY-LrGJon7ApSjhLNw1S",
  "type": "api-oas-v2",
  "data": {
    "method": "DELETE",
    "url": "https://api.upstartcommerce.com/pim/product-lines/{id}/products",
    "servers": [
      {
        "url": "https://api.upstartcommerce.com/pim/product-lines/{id}/products"
      }
    ],
    "name": "Remove products from a product line and from each of its collections.",
    "description": "Removes the given products from the product line and from every collection the product line references. The list of product IDs is sent in the request body.",
    "contentType": "application/json",
    "request": {
      "pathParameters": [
        {
          "kind": "required",
          "name": "id",
          "type": "string<uuid>",
          "description": "This is the product line id that will be used. Must be a UUID.",
          "format": "uuid"
        }
      ],
      "headerParameters": [],
      "queryParameters": [],
      "bodyDataParameters": [
        {
          "kind": "required",
          "name": "body",
          "type": "array",
          "description": "List of product IDs to remove from the product line and its collections.",
          "schema": [],
          "itemType": "string",
          "customType": "string[]",
          "isExpanded": true
        }
      ],
      "formDataParameters": [],
      "oAuthParameters": [
        {
          "id": "NoChannelPortalAccess",
          "name": "NoChannelPortalAccess",
          "kind": "optional",
          "type": "http",
          "description": "<p>(DEPRECATED) This authentication is required for clients to interact with any of the management APIs. Similar to 'LoggedIn', it indicates that the user has actually logged into the system, but in this case with a management role.</p>",
          "scheme": "bearer"
        },
        {
          "id": "ApiKeyAccess",
          "name": "X-Upstart-Api-Key",
          "kind": "optional",
          "type": "apiKey",
          "description": "Api key based authorization.",
          "in": "header"
        },
        {
          "id": "SessionIdAccess",
          "name": "X-Upstart-Session-Id",
          "kind": "optional",
          "type": "apiKey",
          "description": "<p>Session based authorization. This authentication is required for clients to interact with any of the management APIs. Similar to 'LoggedIn', it indicates that the user has actually logged into the system, but in this case with a management role.</p>",
          "in": "header"
        }
      ],
      "cookieParameters": []
    },
    "responses": [
      {
        "statusCode": "204",
        "description": "Products removed from the product line and its collections.",
        "jsonExample": "",
        "isExpanded": true
      }
    ],
    "hasXCodeSamples": false,
    "examples": {
      "languages": [
        {
          "id": "zGBEi9hK0EstRFvp7tytP",
          "language": "curl",
          "label": "cURL",
          "code": "curl --request DELETE \\\n     --url https://api.upstartcommerce.com/pim/product-lines/{id}/products \\\n     --header 'accept: application/json'"
        },
        {
          "id": "YxSGtsdvSgrUbIMhBRBYU",
          "language": "javascript",
          "label": "javascript",
          "code": "var myHeaders = new Headers();\nmyHeaders.append(\"accept\", \"application/json\");\nmyHeaders.append(\"content-type\", \"application/json\");\n\nvar requestOptions = {\n   method: 'DELETE',\n   headers: myHeaders,\n   redirect: 'follow'\n};\n\nfetch(\"https://api.upstartcommerce.com/pim/product-lines/{id}/products\", requestOptions)\n   .then(response => response.text())\n   .then(result => console.log(result))\n   .catch(error => console.log('error', error));"
        },
        {
          "id": "uRWf0LjK4LjSd3IP7tKGV",
          "language": "ruby",
          "label": "Ruby",
          "code": "require \"uri\"\nrequire \"json\"\nrequire \"net/http\"\n\nurl = URI(\"https://api.upstartcommerce.com/pim/product-lines/{id}/products\")\n\nhttps = Net::HTTP.new(url.host, url.port)\nhttps.use_ssl = true\n\nrequest = Net::HTTP::Delete.new(url)\nrequest[\"accept\"] = \"application/json\"\nrequest[\"content-type\"] = \"application/json\"\n\nresponse = https.request(request)\nputs response.read_body\n"
        },
        {
          "id": "LDCVqaOFhbJxzQgEgbq_O",
          "language": "python",
          "label": "Python",
          "code": "import requests\nimport json\n\nurl = \"https://api.upstartcommerce.com/pim/product-lines/{id}/products\"\n\npayload = {}\nheaders = {\n   'accept': 'application/json',\n   'content-type': 'application/json'\n}\n\nresponse = requests.request(\"DELETE\", url, headers=headers, data=payload)\n\nprint(response.text)\n"
        }
      ],
      "selectedLanguageId": "zGBEi9hK0EstRFvp7tytP"
    },
    "results": {
      "languages": [
        {
          "id": "ewlxnKSlw9gVg6QyjdK6o",
          "language": "204",
          "code": "// Products removed from the product line and its collections.\n"
        }
      ],
      "selectedLanguageId": "ewlxnKSlw9gVg6QyjdK6o"
    }
  },
  "children": [
    {
      "text": ""
    }
  ]
}